import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ShoppingVendorSelectObjectSchema as ShoppingVendorSelectObjectSchema } from './ShoppingVendorSelect.schema';
import { ShoppingVendorIncludeObjectSchema as ShoppingVendorIncludeObjectSchema } from './ShoppingVendorInclude.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => ShoppingVendorSelectObjectSchema).optional(),
  include: z.lazy(() => ShoppingVendorIncludeObjectSchema).optional()
}).strict();
export const ShoppingVendorArgsObjectSchema = makeSchema();
export const ShoppingVendorArgsObjectZodSchema = makeSchema();
